Skip to content
Developer

AttendanceListEntry

Events4 EndpointsEvent / AttendanceListEntry

Add a new AttendanceListEntry

POST/api/event/attendancelist/{listIdentifier}/entry

Path parameters

listIdentifierrequiredstring

Responses

200Add a new AttendanceListEntryAttendanceListEntry

Show fields (7)
  • idinteger

    Primary key of the attendance list entry. Internal ID.

  • tokenstring

    Public token of the entry. Used instead of the ID.

  • person_countinteger

    Number of persons the entry stands for, for example a family.

  • startstring (date-time)

    Time the participant arrived.

  • endstring (date-time)

    Time the participant left.

  • completedboolean

    The attendance entry is complete.

  • search_stringstring

    Text that the entity can be searched by.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/event/attendancelist/42/entry \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "token": "string",
  "person_count": 1,
  "start": "2026-10-15T09:30:00+02:00",
  "end": "2026-10-15T09:30:00+02:00",
  "completed": true,
  "search_string": "string"
}

This method will get a single AttendanceListEntry with the given id or token

GET/api/event/attendancelist/{entryIdentifier}/entry

Path parameters

entryIdentifierrequiredstring

Responses

200Returns a single AttendanceListEntryAttendanceListEntry

Show fields (7)
  • idinteger

    Primary key of the attendance list entry. Internal ID.

  • tokenstring

    Public token of the entry. Used instead of the ID.

  • person_countinteger

    Number of persons the entry stands for, for example a family.

  • startstring (date-time)

    Time the participant arrived.

  • endstring (date-time)

    Time the participant left.

  • completedboolean

    The attendance entry is complete.

  • search_stringstring

    Text that the entity can be searched by.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/attendancelist/42/entry \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "token": "string",
  "person_count": 1,
  "start": "2026-10-15T09:30:00+02:00",
  "end": "2026-10-15T09:30:00+02:00",
  "completed": true,
  "search_string": "string"
}

Update a AttendanceListEntry

PUT/api/event/attendancelist/{entryIdentifier}/entry

Path parameters

entryIdentifierrequiredstring

Responses

200Update a AttendanceListEntryAttendanceListEntry

Show fields (7)
  • idinteger

    Primary key of the attendance list entry. Internal ID.

  • tokenstring

    Public token of the entry. Used instead of the ID.

  • person_countinteger

    Number of persons the entry stands for, for example a family.

  • startstring (date-time)

    Time the participant arrived.

  • endstring (date-time)

    Time the participant left.

  • completedboolean

    The attendance entry is complete.

  • search_stringstring

    Text that the entity can be searched by.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/event/attendancelist/42/entry \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "token": "string",
  "person_count": 1,
  "start": "2026-10-15T09:30:00+02:00",
  "end": "2026-10-15T09:30:00+02:00",
  "completed": true,
  "search_string": "string"
}

Update a AttendanceListEntry

PATCH/api/event/attendancelist/{entryIdentifier}/entry

Path parameters

entryIdentifierrequiredstring

Responses

200Update a AttendanceListEntryAttendanceListEntry

Show fields (7)
  • idinteger

    Primary key of the attendance list entry. Internal ID.

  • tokenstring

    Public token of the entry. Used instead of the ID.

  • person_countinteger

    Number of persons the entry stands for, for example a family.

  • startstring (date-time)

    Time the participant arrived.

  • endstring (date-time)

    Time the participant left.

  • completedboolean

    The attendance entry is complete.

  • search_stringstring

    Text that the entity can be searched by.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/event/attendancelist/42/entry \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "token": "string",
  "person_count": 1,
  "start": "2026-10-15T09:30:00+02:00",
  "end": "2026-10-15T09:30:00+02:00",
  "completed": true,
  "search_string": "string"
}